### Function

# GimpUi ZoomModel zoom_step

#### Declaration [src]

    gdouble
    gimp_zoom_model_zoom_step (
      GimpZoomType zoom_type,
      gdouble scale,
      gdouble delta
    )

#### Description [src]

Utility function to calculate a new scale factor.

#### Parameters

`zoom_type`

  Type: `GimpZoomType`

  The zoom type.

`scale`

  Type: `gdouble`

  Ignored unless `zoom_type` == `GIMP_ZOOM_TO`.

`delta`

  Type: `gdouble`

  The delta from a smooth zoom event.

#### Return value

Type: `gdouble`

The new scale factor

Since GIMP 2.4.